# FileRenameAction Class Reference

Inherits Action.

List of all members.

## Public Member Functions

| FileRenameAction (const File &toRename, const File &renameTo, bool renameEmptyFile)
| Constructor.
virtual bool | execute (log4cxx::helpers::Pool &pool) const
| Perform action.

## Constructor & Destructor Documentation

FileRenameAction | ( | const File & | toRename,
|  | const File & | renameTo,
|  | bool | renameEmptyFile
| ) |

| Constructor.

## Member Function Documentation

virtual bool execute | ( | log4cxx::helpers::Pool & | pool | ) | const`[virtual]`

Perform action.

Returns:
  true if successful.

Implements Action.

The documentation for this class was generated from the following file:

- filerenameaction.h